Target version: 0.5
Description

Current result:

Traceback (most recent call last):
  File "/vol/nao/releases/lucid32-1.10.52/lib/python2.6/threading.py", line 525, in __bootstrap_inner
    self.run()
  File "/vol/nao/releases/lucid32-1.10.52/lib/python2.6/threading.py", line 477, in run
    self.__target(*self.__args, **self.__kwargs)
  File "build/bdist.linux-i686/egg/rsb/util.py", line 310, in __worker
    self.__delFunc(receiver.receiver, message)
  File "build/bdist.linux-i686/egg/rsb/eventprocessing.py", line 46, in __deliver
    action(event)
  File "build/bdist.linux-i686/egg/rsb/patterns/__init__.py", line 239, in _handleRequest
    self.informer.publishEvent(reply)
  File "build/bdist.linux-i686/egg/rsb/__init__.py", line 987, in publishEvent
    raise ValueError("Event %s does not have a payload." % event)
ValueError: Event Event[id = N/A, sequenceNumber = None, scope = 'Scope[/nao/rpc/reply/call/]', sender = None, data =
'None', type = '<type 'NoneType'>', metaData = MetaData[create = 1314623304.88, send = None, receive = None, deliver =
None, userTimes = {}, userInfos = {'rsb:reply': 'ac5698f5-5799-58e3-845f-a6d9bf0e1ebb'}]] does not have a payload.

expected:
A more domain-specific exception.

Associated revisions
Revision 122a4051 - 08/30/2011 03:17 AM - J. Moringen
Allow None payloads in core/rsb/__init__.py
fixes #526
    -  core/rsb/__init__.py: allow events with None payload in

  Informer.publishEvent
    -  core/rsb/transport/converter.py: added NoneConverter which can

  (de)serialize None values to/from "void" wire-schema

History
#1 - 08/30/2011 02:34 AM - J. Moringen
- Subject changed from Unintuitive error if LocalServer (python) method does return None to Unintuitive error if LocalServer method returns None
- Status changed from New to In Progress
- Target version set to rsb-0.10

#2 - 08/30/2011 03:20 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2462.

#3 - 10/27/2011 08:23 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
